Package org.eclipse.net4j.util.om.monitor

# Schnittstelle ProgressDistributable<CONTEXT>

Alle bekannten Implementierungsklassen:
  `ProgressDistributable.Default`

public interface ProgressDistributable<CONTEXT>

Seit:
  2.0
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Schnittstelle
Beschreibung
`static class`
`ProgressDistributable.Default<CONTEXT>`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`int`
`getLoopCount(CONTEXT context)`
`double`
`getLoopWork(CONTEXT context)`
`void`
`runLoop(int index, CONTEXT context, OMMonitor monitor)`

## Methodendetails

### getLoopCount

int getLoopCount(CONTEXT context)

### getLoopWork

double getLoopWork(CONTEXT context)

### runLoop

void runLoop(int index, CONTEXT context, OMMonitor monitor) throws Exception

Löst aus:
  `Exception`